wipe;
set T 800; 


# --------------------------------------------------------------------------------------------------------------
# U N I T S
# --------------------------------------------------------------------------------------------------------------

# Length : m
# Force  : kN
# Moment : kNm
# Stress : kPa
# Mass   : ton


# --------------------------------------------------------------------------------------------------------------
#
# M O D E L  D O M A I N  1  (6DOF)
#
# --------------------------------------------------------------------------------------------------------------

model BasicBuilder -ndm 2 -ndf 3

# --------------------------------------------------------------------------------------------------------------
# N O D E S
# --------------------------------------------------------------------------------------------------------------

# node $NodeTag $XCoord $Ycoord

node      1            0          0      
node      2            2000       0     
node      3            1000       1000    

# --------------------------------------------------------------------------------------------------------------
# R E S T R A I N T S
# --------------------------------------------------------------------------------------------------------------

# fix $NodeTag x-transl y-transl z-rot

fix     1    1   1   0
fix     2    1   1   0  

# --------------------------------------------------------------------------------------------------------------
# D I S P L A C E M E N T - B A S E D   B E A M - C O L U M N   E L E M E N T S
# --------------------------------------------------------------------------------------------------------------

# Geometric Transformation

geomTransf Linear 1 


# Sections Definition used by dispBeamColumn Elements
# (if they have not already been defined on this model domain)

set MatTag 1

uniaxialMaterial Steel02Thermal $MatTag 500000 2e+05 0.15 20 0.925 0.15 0 1 0 1 0

section fiberSecThermal 182 -GJ        10000 {


 set x1 0
 set y1 0
 set x2 20
 set y2 20 
 set n 10
 patch rect 1 $n $n $x1 $y1 $x2 $y2
 puts "a square section has been loaded";
}

# Displacement-Based Beam Column Element Definition

# element dispBeamColumn $eleTag $iNode $jNode $numIntgrPts $secTag $transfTag <-mass $massDens>

element dispBeamColumnThermal      1     1      2  3    182  1   -mass        0
element dispBeamColumnThermal      2     2      3  3    182  1   -mass        0
element dispBeamColumnThermal      3     3      1  3    182  1   -mass        0


# --------------------------------------------------------------------------------------------------------------
#
# D O M A I N  C O M M O N S
#
# --------------------------------------------------------------------------------------------------------------

# --------------------------------------------------------------------------------------------------------------
# R E C O R D E R S
# --------------------------------------------------------------------------------------------------------------

recorder Node -file node26.out -time -node 3 -dof 2 disp

logFile "truss.log"

puts "Running analysis -1 \n"

# Loads - Plain Pattern

pattern Plain 200 Linear {
  load 3 0 -200000 0
}

# recording the initial status





record

# Analysis options

system Umfpack
numberer Plain
constraints Plain
integrator LoadControl 0.1
test NormDispIncr 1 100 1
algorithm Newton
analysis Static
set ok [analyze 10]



loadConst -time 0.0

puts "Running analysis -2 \n"

# Loads - Plain Pattern

pattern Plain 201 Linear {
 eleLoad -ele 2 3 -type	-beamThermal $T  [expr $y1] $T [expr $y2];
}

# recording the initial status

record

# Analysis options

system Umfpack
numberer Plain
constraints Plain
integrator LoadControl 0.01
test NormDispIncr 1 100 1
algorithm Newton
analysis Static
set ok [analyze 100]
